#ifndef __MOG2_ANIMSCRIPT_VIEW_WINDOW
#define __MOG2_ANIMSCRIPT_VIEW_WINDOW

#define VS_REGION_ADD		0
#define VS_REGION_MODIFY	1


class BViewAnimScriptWnd : public BWindow {
public:
	BViewAnimScriptWnd(int x,int y,int dx,int dy,class AnimSCRIPT *script,class OBJECT *o,class EDITOR *e,TTF_Font *font);
	~BViewAnimScriptWnd();

	virtual bool cycle(int stx,int sty);

protected:
	virtual void contens_size(int *dx,int *dy);
	virtual void draw_contens(SDL_Surface *sfc,int stx,int sty,int dx,int dy);

	void draw_script(SDL_Surface *sfc,AnimSCRIPT *script,int stx,int sty);
	bool click_on_script(AnimSCRIPT *script,int stx,int sty);
	bool right_click_on_script(AnimSCRIPT *script,int stx,int sty,bool *erase);
	void script_size(AnimSCRIPT *script,int *dx,int *dy);

	void frame_size(class AnimFRAME *f,int *dx,int *dy);

	class EDITOR *editor;
	AnimSCRIPT *script,*selected_script;
	SDL_Rect selected;
	OBJECT *object;
};


#endif

