#ifndef __PARALLAX_WINDOW
#define __PARALLAX_WINDOW

class BParallaxWnd : public BActiveWindow {
public:
	BParallaxWnd(int x,int y,int dx,int dy,ROOM *room,TTF_Font *font);
	~BParallaxWnd();

	virtual bool cycle(int stx,int sty);

protected:
	virtual void contens_size(int *dx,int *dy);
	virtual void draw_contens(SDL_Surface *sfc,int stx,int sty,int dx,int dy);
	virtual bool button_pressed(int ID);

	ROOM *room;

	BListWnd *lw;
	List<char> plane_names;

	int plane_h_speed[MAX_OBJECT_PLANES];
	int plane_v_speed[MAX_OBJECT_PLANES];
	int plane_h_align[MAX_OBJECT_PLANES];
	int plane_v_align[MAX_OBJECT_PLANES];

	int drawing_order;
	bool h_circularity;
	bool v_circularity;

	int c_grid_dx;
	int c_grid_dy;
	int c_grid_tolerance;

};

#endif

